> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-9/v9-3-1-80205.md).

# Version 9.3.1.80205 Changelog (August 25th, 2022)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 9.3.1.80205
* Release Date: August 25th, 2022
* Built with Xcode 13.4.1 (13F100)

## New

* Fixed an issue preventing the generation of XFDF change information when the `PTUndoRedoManager.isEnabled` instance property is set to false.
* Added a `PTTool.commitAnnotation()` instance method to commit pending annotation changes.
* The eraser tool can now erase part of an ink annotation when tapping.
* It is now possible to create text markup annotations on tap.
* It is now possible to set and edit the text contents of the parent annotation from a `PTAnnotationReplyViewController`.
* Added support for creating line annotations (line, arrow, polyline) with different line ending styles.
* Adds a `PTToolGroupToolbar.isPresetsViewEnabled` property to control the presets view, as well as a `PTToolGroupToolbar.arePresetsEnabled` property to set both of the `isPresetsToolbarEnabled` and `isPresetsViewEnabled` properties at once.

## Fixed

* Fixes an issue with the display of the annotation style picker's preview.
* Fixes an issue with free text annotations where text styling (bold, italic) is not displayed after the annotation is edited.
* Fixes a crash for iOS versions < 14 when clicking on a free text annotation style preset.
* Fixes an issue when editing text form fields where tapping to dismiss the keyboard would incorrectly select another field.
* Fixes the appearance of callout annotations that have been copied and pasted.
* Fixes an issue with selecting annotations while the annotation list control is open in the side bar.
* Fixes an issue with combo-box form fields not showing the selected option.
* Fixes an issue with the size of free text annotations increasing when the annotation's text is edited for the first time.
* The `PTToolManager.isAnnotateOnRelowEnabled` instance property now respects the `PTToolManager.isReadonly` property.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-9/v9-3-1-80205.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
